## ruli 0.30

=== guile/Makefile ===
#
# $Id: Makefile,v 1.5 2004/08/18 15:20:51 evertonm Exp $
#

WARN = -pedantic -ansi -Wshadow -Wpointer-arith -Wcast-qual \
        -Wcast-align -Wwrite-strings -Wstrict-prototypes \
        -Wmissing-prototypes -Wredundant-decls \
	-Wall \
#	-Werror
CFLAGS = $(WARN) -O2 -pipe -g -shared -D_REENTRANT -D__USE_GNU \
	-fPIC $(shell guile-config compile) -I../src
LDFLAGS = -L../src -lruli $(shell guile-config link)
CC = gcc

.PHONY: default
default: ruli-guile

.PHONY: clean
clean:
	rm -f *.o *.so *~ ruli-guile

.PHONY: build
build: clean default

ruli-guile: ruli-guile.o libguile-ruli.so

libguile-ruli.so: guile_ruli.o
	gcc -shared -o $@ $< $(LDFLAGS)

=== sample/Makefile ===

#
# $Id: Makefile,v 1.16 2004/08/25 19:04:23 evertonm Exp $
#

#
# OOP_INCLUDE_DIR points the location of
# Liboop headers in your system
#
# OOP_LIB_DIR points the location of
# Liboop libraries in your system
#
# Debian packaging likes this: OOP_BASE_DIR = /usr
#
OOP_BASE_DIR    = /usr/local/oop
OOP_INCLUDE_DIR = $(OOP_BASE_DIR)/include
OOP_LIB_DIR     = $(OOP_BASE_DIR)/lib

#
# INSTALL_BASE_DIR indicates where RULI
# is to be installed in your system
#
# Debian packaging likes this: INSTALL_BASE_DIR = $(DESTDIR)/usr
#
INSTALL_BASE_DIR    = ../install/ruli
INSTALL_INCLUDE_DIR = $(INSTALL_BASE_DIR)/include
INSTALL_LIB_DIR     = $(INSTALL_BASE_DIR)/lib
INSTALL_BIN_DIR     = $(INSTALL_BASE_DIR)/bin
INSTALL_MAN_DIR     = $(INSTALL_BASE_DIR)/share/man
INSTALL_MAN1_DIR    = $(INSTALL_MAN_DIR)/man1

PLATFORM=$(shell uname)

ifeq ($(PLATFORM),SunOS)
SOLARIS_LIBS = -lresolv -lnsl -lsocket
endif

CC      = gcc
CFLAGS  = -O2 -pipe -Wall -g -I../src -I$(OOP_INCLUDE_DIR)
LDFLAGS = -L../src -L$(OOP_LIB_DIR) $(SOLARIS_LDFLAGS)
LIBS = -lruli -loop $(SOLARIS_LIBS)
LINK = $(CC) $(ARCH) $(LDFLAGS) -o $@ $^ $(LIBS)

TARGETS = srvsearch sync_srvsearch smtpsearch sync_smtpsearch ruli-getaddrinfo
SHARED_OBJS = stdout_srv_list.o parse_options.o

.PHONY: default
default: $(TARGETS)

.PHONY: clean
clean:
	rm -f *~ .*~ *.o $(TARGETS)

.PHONY: build
build: clean default

.PHONY: strip
strip: $(TARGETS)
	strip $(TARGETS)

.PHONY: install
install: $(TARGETS)
	mkdir -p $(INSTALL_BIN_DIR) $(INSTALL_MAN1_DIR)
	cp $(TARGETS) $(INSTALL_BIN_DIR)
	cp ../doc/man/*.1 $(INSTALL_MAN1_DIR)
	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 smtpsearch.1
	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 sync_srvsearch.1
	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 sync_smtpsearch.1
	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 ruli-getaddrinfo.1

%.o: %.c
	$(CC) $(ARCH) $(CPPFLAGS) $(CFLAGS) -c $<

srvsearch: srvsearch.o $(SHARED_OBJS)
	$(LINK)

sync_srvsearch: sync_srvsearch.o $(SHARED_OBJS)
	$(LINK)

smtpsearch: smtpsearch.o $(SHARED_OBJS)
	$(LINK)

sync_smtpsearch: sync_smtpsearch.o $(SHARED_OBJS)
	$(LINK)

ruli-getaddrinfo: ruli-getaddrinfo.o $(SHARED_OBJS)
	$(LINK)

=== src/Makefile ===
#
# $Id: Makefile,v 1.52 2004/08/25 19:04:23 evertonm Exp $
#

#DEBUG += -DRULI_SRV_DEBUG 
#DEBUG += -DRULI_HOST_DEBUG
#DEBUG += -DRULI_RES_DEBUG
#DEBUG += -DRULI_TXT_COMPARE_DEBUG
#DEBUG += -DRULI_SYNC_DEBUG
#DEBUG += -DRULI_SEARCH_DEBUG
#DEBUG += -DRULI_MSG_DUMP_DEBUG -DRULI_SOCK_DUMP_DEBUG
#DEBUG += -DRULI_SMTP_DEBUG

#
# OOP_INCLUDE_DIR points the location of
# Liboop headers in your system
#
# Debian packaging likes this: OOP_BASE_DIR = /usr
#
OOP_BASE_DIR    = /usr/local/oop
OOP_INCLUDE_DIR = $(OOP_BASE_DIR)/include
OOP_LIB_DIR     = $(OOP_BASE_DIR)/lib

#
# INSTALL_BASE_DIR indicates where RULI
# is to be installed in your system
#
# Example: INSTALL_BASE_DIR=/usr/local/ruli
#
# Debian packaging likes this: INSTALL_BASE_DIR = $(DESTDIR)/usr
#
INSTALL_BASE_DIR     = ../install/ruli
INSTALL_INCLUDE_DIR  = $(INSTALL_BASE_DIR)/include
INSTALL_LIB_DIR      = $(INSTALL_BASE_DIR)/lib
INSTALL_MAN_DIR      = $(INSTALL_BASE_DIR)/share/man
INSTALL_MAN3_DIR     = $(INSTALL_MAN_DIR)/man3

# SunOS, Linux
PLATFORM=$(shell uname)

ifeq ($(PLATFORM),SunOS)
DEFINE_SOLARIS = -D_RULI_SOLARIS_
endif

WARN = -pedantic -ansi -Wshadow -Wpointer-arith -Wcast-qual \
	-Wcast-align -Wwrite-strings -Wredundant-decls
CC = gcc

# gcc-specific options (not valid for g++)
ifeq ($(CC),gcc)
WARN += -Wnested-externs
WARN += -Wmissing-prototypes
WARN += -Wstrict-prototypes
endif

SHARED = -fPIC
FLAGS = $(DEBUG) -O2 -pipe -Wall -g -shared -D_REENTRANT \
        $(DEFINE_SOLARIS) -I. -I$(OOP_INCLUDE_DIR)
SOFT_CFLAGS = $(WARN) $(FLAGS)
CFLAGS = $(WARN) -Werror $(FLAGS)
LIBOBJ = ruli_isaac.o ruli_mem.o ruli_rand.o ruli_util.o ruli_list.o \
	ruli_addr.o ruli_sock.o ruli_txt.o ruli_msg.o ruli_fsm.o \
	ruli_res.o ruli_parse.o ruli_host.o ruli_srv.o ruli_conf.o \
	ruli_search.o ruli_smtp.o ruli_sync.o ruli_getaddrinfo.o
SHAREDOBJ = $(LIBOBJ:%.o=%.os)
SONAME = libruli.so.3
LDFLAGS = -L$(OOP_LIB_DIR)

COMPILE = $(CC) $(ARCH) $(CPPFLAGS) $(CFLAGS) -c
SHARED_COMPILE = $(CC) $(ARCH) $(CPPFLAGS) $(SHARED) $(CFLAGS) -o $@ -c

# no -Werror
SOFT_COMPILE = $(CC) $(ARCH) $(CPPFLAGS) $(SOFT_CFLAGS) -c
SHARED_SOFT_COMPILE = $(CC) $(ARCH) $(CPPFLAGS) $(SHARED) $(SOFT_CFLAGS) -o $@ -c

.PHONY: default
default: ruli

.PHONY: clean
clean:
	rm -f *~ .*~ *.o *.os *.so *.a *.so.*

.PHONY: build
build: clean default

.PHONY: strip
strip: ruli
	strip $(SONAME) libruli.a

.PHONY: install
install: ruli
	mkdir -p $(INSTALL_LIB_DIR) $(INSTALL_INCLUDE_DIR) $(INSTALL_MAN3_DIR)
	cp $(SONAME) libruli.a $(INSTALL_LIB_DIR)
	cp *.h $(INSTALL_INCLUDE_DIR)
	cp ../doc/man/*.3 $(INSTALL_MAN3_DIR)
	cd $(INSTALL_LIB_DIR) && ln -s $(SONAME) libruli.so
	@echo
	@echo "REMINDER:"
	@echo "Add $(INSTALL_LIB_DIR) to your dynamic loader path:"
	@echo "# echo $(INSTALL_LIB_DIR) >> /etc/ld.so.conf"
	@echo "# ldconfig"
	@echo

.PHONY: ruli
ruli: $(SONAME) libruli.a

#
# This "SOFT" section forces compiling of some
# source files without the -Werror options.
#

ruli_util.o: ruli_util.c ruli_util.h
	$(SOFT_COMPILE) $<

ruli_addr.o: ruli_addr.c ruli_addr.h
	$(SOFT_COMPILE) $<

ruli_sock.o: ruli_sock.c ruli_sock.h
	$(SOFT_COMPILE) $<

ruli_res.o: ruli_res.c ruli_res.h
	$(SOFT_COMPILE) $<

ruli_getaddrinfo.o: ruli_getaddrinfo.c ruli_getaddrinfo.h
	$(SOFT_COMPILE) $<

ruli_util.os: ruli_util.c ruli_util.h
	$(SHARED_SOFT_COMPILE) $<

ruli_addr.os: ruli_addr.c ruli_addr.h
	$(SHARED_SOFT_COMPILE) $<

ruli_sock.os: ruli_sock.c ruli_sock.h
	$(SHARED_SOFT_COMPILE) $<

ruli_res.os: ruli_res.c ruli_res.h
	$(SHARED_SOFT_COMPILE) $<

ruli_getaddrinfo.os: ruli_getaddrinfo.c ruli_getaddrinfo.h
	$(SHARED_SOFT_COMPILE) $<

#
# End of "SOFT" section
#

%.o: %.c %.h
	$(COMPILE) $<

%.os: %.c %.h
	$(SHARED_COMPILE) $<

libruli.so: $(SHAREDOBJ)
ifdef DEFINE_SOLARIS
	$(CC) $(ARCH) $(CFLAGS) $(LDFLAGS) -Wl,-h,$(SONAME) -o $@ \
		$(SHAREDOBJ) -loop -ldl -lsocket -lnsl
else
	$(CC) $(ARCH) $(CFLAGS) $(LDFLAGS) -Wl,-soname,$(SONAME) \
		-Wl,--version-script,libruli.ver -o $@ $(SHAREDOBJ) -loop -ldl
endif

$(SONAME): libruli.so
	cp libruli.so $(SONAME)

libruli.a: $(LIBOBJ)
ifdef DEFINE_SOLARIS
	ar -r -v $@ $(LIBOBJ)
else
	ar rcv $@ $(LIBOBJ)
	ar sv $@
endif

## ruli 0.31

=== src/Makefile ===
--- 
+++ 
@@ -57,7 +57,7 @@
 FLAGS = $(DEBUG) -O2 -pipe -Wall -g -shared -D_REENTRANT \
         $(DEFINE_SOLARIS) -I. -I$(OOP_INCLUDE_DIR)
 SOFT_CFLAGS = $(WARN) $(FLAGS)
-CFLAGS = $(WARN) -Werror $(FLAGS)
+CFLAGS = $(WARN) $(FLAGS)
 LIBOBJ = ruli_isaac.o ruli_mem.o ruli_rand.o ruli_util.o ruli_list.o \
 	ruli_addr.o ruli_sock.o ruli_txt.o ruli_msg.o ruli_fsm.o \
 	ruli_res.o ruli_parse.o ruli_host.o ruli_srv.o ruli_conf.o \

## ruli 0.32

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.52 2004/08/25 19:04:23 evertonm Exp $
+# $Id: Makefile,v 1.54 2004/10/08 04:22:15 evertonm Exp $
 #
 
 #DEBUG += -DRULI_SRV_DEBUG 
@@ -61,7 +61,8 @@
 LIBOBJ = ruli_isaac.o ruli_mem.o ruli_rand.o ruli_util.o ruli_list.o \
 	ruli_addr.o ruli_sock.o ruli_txt.o ruli_msg.o ruli_fsm.o \
 	ruli_res.o ruli_parse.o ruli_host.o ruli_srv.o ruli_conf.o \
-	ruli_search.o ruli_smtp.o ruli_sync.o ruli_getaddrinfo.o
+	ruli_search.o ruli_http.o ruli_smtp.o ruli_sync.o \
+	ruli_getaddrinfo.o
 SHAREDOBJ = $(LIBOBJ:%.o=%.os)
 SONAME = libruli.so.3
 LDFLAGS = -L$(OOP_LIB_DIR)

=== tools/Makefile ===
#
# $Id: Makefile,v 1.22 2004/07/07 17:39:14 evertonm Exp $
#

#
# OOP_INCLUDE_DIR points the location of
# Liboop headers in your system
#
# OOP_LIB_DIR points the location of
# Liboop libraries in your system
#
OOP_BASE_DIR    = /usr/local/oop
OOP_INCLUDE_DIR = $(OOP_BASE_DIR)/include
OOP_LIB_DIR     = $(OOP_BASE_DIR)/lib

#
# INSTALL_BASE_DIR indicates where RULI
# is to be installed in your system
#
INSTALL_BASE_DIR    = ../install/ruli
INSTALL_INCLUDE_DIR = $(INSTALL_BASE_DIR)/include
INSTALL_LIB_DIR     = $(INSTALL_BASE_DIR)/lib
INSTALL_BIN_DIR     = $(INSTALL_BASE_DIR)/bin

CC      = gcc
CFLAGS  = -O2 -pipe -Wall -g -I../src -I$(OOP_INCLUDE_DIR)

LDFLAGS = -L../src -L$(OOP_LIB_DIR) -lruli -loop

TARGETS = list resolve hostsolver srvsolver syncsolver addrsolver \
	srvsolver2 addrsolver2 addrsolver3 ruli-host rand cycle_res \
        cycle_res2 ipv6

LINK = $(CC) $(ARCH) $(LDFLAGS) -o $@ $^

.PHONY: default
default: $(TARGETS)

.PHONY: clean
clean:
	rm -f *~ .*~ *.o $(TARGETS)

.PHONY: build
build: clean default

.PHONY: strip
strip: $(TARGETS)
	strip $(TARGETS)

.PHONY: install
install: $(TARGETS)
	[ -d $(INSTALL_BIN_DIR) ] || mkdir -p $(INSTALL_BIN_DIR) || exit
	cp $(TARGETS) $(INSTALL_BIN_DIR)

%.o: %.c
	$(CC) $(ARCH) $(CPPFLAGS) $(CFLAGS) -c $<

list: list.o
	$(LINK)

rand: rand.o
	$(LINK)

resolve: resolve.o trivial_conf_handler.o
	$(LINK)

hostsolver: hostsolver.o stdin_domains.o trivial_conf_handler.o
	$(LINK)

srvsolver: srvsolver.o stdin_domains.o stdout_srv_list.o trivial_conf_handler.o
	$(LINK)

srvsolver2: srvsolver2.o stdout_srv_list.o trivial_conf_handler.o
	$(LINK)

syncsolver: syncsolver.o stdout_srv_list.o
	$(LINK)

addrsolver: addrsolver.o trivial_conf_handler.o
	$(LINK)

addrsolver2: addrsolver2.o trivial_conf_handler.o
	$(LINK)

addrsolver3: addrsolver3.o trivial_conf_handler.o
	$(LINK)

ruli-host: ruli-host.o trivial_conf_handler.o
	$(LINK)

cycle_res: cycle_res.o trivial_conf_handler.o
	$(LINK)

cycle_res2: cycle_res2.o trivial_conf_handler.o
	$(LINK)

ipv6: ipv6.o
	$(LINK)

## ruli 0.33

=== guile/Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #
-# $Id: Makefile,v 1.5 2004/08/18 15:20:51 evertonm Exp $
+# $Id: Makefile,v 1.6 2004/10/26 21:13:15 evertonm Exp $
 #
+
+INCLUDES = -I../src -I/usr/local/ruli/include
+LIBS = -L../src -L/usr/local/ruli/lib
 
 WARN = -pedantic -ansi -Wshadow -Wpointer-arith -Wcast-qual \
         -Wcast-align -Wwrite-strings -Wstrict-prototypes \
@@ -8,8 +11,8 @@
 	-Wall \
 #	-Werror
 CFLAGS = $(WARN) -O2 -pipe -g -shared -D_REENTRANT -D__USE_GNU \
-	-fPIC $(shell guile-config compile) -I../src
-LDFLAGS = -L../src -lruli $(shell guile-config link)
+	-fPIC $(shell guile-config compile) $(INCLUDES) $(LIBS)
+LDFLAGS = $(LIBS) -lruli $(shell guile-config link)
 CC = gcc
 
 .PHONY: default

=== java/Makefile ===
#
# $Id: Makefile,v 1.5 2004/10/05 03:50:43 evertonm Exp $
#


JAVAC = javac
JAVAH = javah
JAR   = jar

SRC_DIR     = src
BUILD_DIR   = build
INSTALL_DIR = install

JNI_DIR      = $(SRC_DIR)/jni
BUILT_STAMP  = $(BUILD_DIR)/built
SRC_FILES    = $(shell find $(SRC_DIR) -name "*.java")
JAVA_RULI_SO = $(JNI_DIR)/libjava-ruli.so

.PHONY: default
.PHONY: clean
.PHONY: build
.PHONY: install


default: $(BUILT_STAMP) $(JAVA_RULI_SO)

clean:
	$(MAKE) -C $(JNI_DIR) clean
	rm -rf $(BUILD_DIR)
	rm -f `find . -name '*~'`

build: clean default


$(BUILT_STAMP): $(SRC_FILES)
	mkdir -p $(BUILD_DIR)
	$(JAVAC) -d $(BUILD_DIR) $(SRC_FILES)
	touch $@

$(JNI_DIR)/ruli_RuliSyncImp.h:
	$(JAVAH) -classpath $(BUILD_DIR) -d $(JNI_DIR) ruli.RuliSyncImp

$(JAVA_RULI_SO): $(JNI_DIR)/ruli_RuliSyncImp.h
	$(MAKE) -C $(JNI_DIR)


install: $(BUILT_STAMP) $(JAVA_RULI_SO)
	mkdir -p $(INSTALL_DIR)/lib
	cp src/jni/libjava-ruli.so $(INSTALL_DIR)/lib
	mkdir -p $(INSTALL_DIR)/classes
	$(JAR) cf $(INSTALL_DIR)/classes/java-ruli.jar -C $(BUILD_DIR) ruli
	@echo 'export LD_LIBRARY_PATH=$$LD_LIBRARY_PATH:$(INSTALL_DIR)/lib'
	@echo 'export CLASSPATH=$$CLASSPATH:$(INSTALL_DIR)/classes/java-ruli.jar'

=== lua/Makefile ===
#
# $Id: Makefile,v 1.2 2004/10/26 21:28:14 evertonm Exp $
#

INCLUDES=-I../src -I/usr/local/ruli/include
LIBS=-L../src -L/usr/local/ruli/lib

WARN = -pedantic -ansi -Wshadow -Wpointer-arith -Wcast-qual \
        -Wcast-align -Wwrite-strings -Wstrict-prototypes \
        -Wmissing-prototypes -Wredundant-decls \
	-Wall \
#	-Werror
CFLAGS = $(WARN) -O2 -pipe -g -shared -D_REENTRANT -D__USE_GNU \
	-fPIC $(shell lua-config --include) $(INCLUDES) $(LIBS)
LDFLAGS = $(LIBS) -lruli -llua50
CC = gcc

.PHONY: default
default: liblua-ruli.so

.PHONY: clean
clean:
	rm -f *.o *.so *~ 

.PHONY: build
build: clean default

liblua-ruli.so: lua_ruli.o
	gcc -shared -o $@ $< $(LDFLAGS)

=== sample/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 #
-# $Id: Makefile,v 1.16 2004/08/25 19:04:23 evertonm Exp $
+# $Id: Makefile,v 1.17 2004/10/08 04:22:15 evertonm Exp $
 #
 
 #
@@ -41,7 +41,8 @@
 LIBS = -lruli -loop $(SOLARIS_LIBS)
 LINK = $(CC) $(ARCH) $(LDFLAGS) -o $@ $^ $(LIBS)
 
-TARGETS = srvsearch sync_srvsearch smtpsearch sync_smtpsearch ruli-getaddrinfo
+TARGETS = srvsearch sync_srvsearch smtpsearch sync_smtpsearch \
+	sync_httpsearch httpsearch ruli-getaddrinfo
 SHARED_OBJS = stdout_srv_list.o parse_options.o
 
 .PHONY: default
@@ -64,8 +65,10 @@
 	cp $(TARGETS) $(INSTALL_BIN_DIR)
 	cp ../doc/man/*.1 $(INSTALL_MAN1_DIR)
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 smtpsearch.1
+	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 httpsearch.1
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 sync_srvsearch.1
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 sync_smtpsearch.1
+	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 sync_httpsearch.1
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 ruli-getaddrinfo.1
 
 %.o: %.c
@@ -83,6 +86,12 @@
 sync_smtpsearch: sync_smtpsearch.o $(SHARED_OBJS)
 	$(LINK)
 
+httpsearch: httpsearch.o $(SHARED_OBJS)
+	$(LINK)
+
+sync_httpsearch: sync_httpsearch.o $(SHARED_OBJS)
+	$(LINK)
+
 ruli-getaddrinfo: ruli-getaddrinfo.o $(SHARED_OBJS)
 	$(LINK)

=== tools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.22 2004/07/07 17:39:14 evertonm Exp $
+# $Id: Makefile,v 1.24 2005/06/13 10:56:27 evertonm Exp $
 #
 
 #
@@ -22,14 +22,25 @@
 INSTALL_LIB_DIR     = $(INSTALL_BASE_DIR)/lib
 INSTALL_BIN_DIR     = $(INSTALL_BASE_DIR)/bin
 
+WARN = -pedantic -ansi -Wshadow -Wpointer-arith -Wcast-qual \
+        -Wcast-align -Wwrite-strings -Wredundant-decls \
+	-Wall
+
+# gcc-specific options (not valid for g++)
+ifeq ($(CC),gcc)
+WARN += -Wnested-externs
+WARN += -Wmissing-prototypes
+WARN += -Wstrict-prototypes
+endif
+
 CC      = gcc
-CFLAGS  = -O2 -pipe -Wall -g -I../src -I$(OOP_INCLUDE_DIR)
+CFLAGS  = $(WARN) -O2 -pipe -g -I../src -I$(OOP_INCLUDE_DIR)
 
 LDFLAGS = -L../src -L$(OOP_LIB_DIR) -lruli -loop
 
 TARGETS = list resolve hostsolver srvsolver syncsolver addrsolver \
 	srvsolver2 addrsolver2 addrsolver3 ruli-host rand cycle_res \
-        cycle_res2 ipv6
+        cycle_res2 ipv6 rfc3484
 
 LINK = $(CC) $(ARCH) $(LDFLAGS) -o $@ $^
 
@@ -97,3 +108,6 @@
 ipv6: ipv6.o
 	$(LINK)
 
+rfc3484: rfc3484.o
+	$(LINK)
+

## ruli 0.36

=== sample/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 #
-# $Id: Makefile,v 1.17 2004/10/08 04:22:15 evertonm Exp $
+# $Id: Makefile,v 1.20 2005/09/01 11:16:20 evertonm Exp $
 #
 
 #
@@ -38,12 +38,13 @@
 CC      = gcc
 CFLAGS  = -O2 -pipe -Wall -g -I../src -I$(OOP_INCLUDE_DIR)
 LDFLAGS = -L../src -L$(OOP_LIB_DIR) $(SOLARIS_LDFLAGS)
-LIBS = -lruli -loop $(SOLARIS_LIBS)
-LINK = $(CC) $(ARCH) $(LDFLAGS) -o $@ $^ $(LIBS)
+UNRULI_LINK = $(CC) $(ARCH) $(LDFLAGS) -o $@ $^ $(SOLARIS_LIBS)
+LINK = $(UNRULI_LINK) -lruli -loop
 
 TARGETS = srvsearch sync_srvsearch smtpsearch sync_smtpsearch \
-	sync_httpsearch httpsearch ruli-getaddrinfo
-SHARED_OBJS = stdout_srv_list.o parse_options.o
+	sync_httpsearch httpsearch ruli-getaddrinfo getaddrinfo
+UNRULI_SHARED_OBJS = parse_options.o
+SHARED_OBJS = $(UNRULI_SHARED_OBJS) stdout_srv_list.o
 
 .PHONY: default
 default: $(TARGETS)
@@ -70,6 +71,7 @@
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 sync_smtpsearch.1
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 sync_httpsearch.1
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 ruli-getaddrinfo.1
+	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 getaddrinfo.1
 
 %.o: %.c
 	$(CC) $(ARCH) $(CPPFLAGS) $(CFLAGS) -c $<
@@ -92,6 +94,8 @@
 sync_httpsearch: sync_httpsearch.o $(SHARED_OBJS)
 	$(LINK)
 
-ruli-getaddrinfo: ruli-getaddrinfo.o $(SHARED_OBJS)
+ruli-getaddrinfo: ruli-getaddrinfo.o addrprint.o $(UNRULI_SHARED_OBJS)
 	$(LINK)
 
+getaddrinfo: getaddrinfo.o run_getaddrinfo.o addrprint.o $(UNRULI_SHARED_OBJS)
+	$(UNRULI_LINK) -ldl

=== java/src/jni/Makefile ===
#
# $Id: Makefile,v 1.2 2004/10/26 21:23:01 evertonm Exp $
#

INCLUDES=-I/usr/local/j2sdk/include \
	-I/usr/local/j2sdk/include/linux \
	-I/usr/local/ruli/include

LIBS=-L/usr/local/ruli/lib

CFLAGS = -Wall -O2 -pipe -g -shared -D_REENTRANT -D__USE_GNU \
	-fPIC $(INCLUDES) $(LIBS)
LDFLAGS = -lruli $(LIBS)
CC = gcc

.PHONY: default
default: java-ruli

.PHONY: clean
clean:
	rm -f *.o *.so *~

.PHONY: build
build: clean default

java-ruli: libjava-ruli.so

libjava-ruli.so: ruli_RuliSyncImp.o
	gcc -shared -o $@ $< $(LDFLAGS)

=== debian/changelog ===
ruli (0.36-3.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:05:13 +1100

ruli (0.36-3.1build1) noble; urgency=high

  * No change rebuild against liboop4t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:53:45 +0100

ruli (0.36-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062874

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 15:36:50 +0000

ruli (0.36-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on liboop-dev.
    + libruli4-dev: Drop versioned constraint on liboop-dev in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 22:13:09 +0000

ruli (0.36-2) unstable; urgency=low

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use canonical URL in Vcs-Browser.
  * Fix day-of-week for changelog entry 0.19-1.
  * Remove Section on libruli4 that duplicates source.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 04 Feb 2021 01:08:23 +0000

ruli (0.36-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/rules: Use dh sequencer.
  * debian/watch: Update and use version 4.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/source/format: Use "3.0 (quilt)".

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jul 2020 15:01:10 -0400

ruli (0.33-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add ${shlibs:Depends}. (Closes: #553255).
  * Fix watch file. (Closes: #449992).
  * Don't depend/build-depend on -1 revision of liboop-dev.
  * Replace deprecated ${Source-Version} with ${binary:Version}.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.3.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 31 Oct 2009 11:28:38 -0400

ruli (0.33-1) unstable; urgency=low

  * New upstream release.
  * SONAME updated to reflect ABI change.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Fri, 17 Jun 2005 07:21:37 -0300

ruli (0.32-1) unstable; urgency=low

  * New upstream release.
  * Added httpsearch, sync_httpsearch to libruli-bin.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Tue, 26 Oct 2004 23:53:31 -0300

ruli (0.31-1) unstable; urgency=low

  * New upstream release.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Tue,  5 Oct 2004 01:24:48 -0300

ruli (0.30-1) unstable; urgency=low

  * New upstream release.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Wed, 25 Aug 2004 22:07:42 -0300

ruli (0.29-1) unstable; urgency=low

  * New upstream release.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Sun, 15 Aug 2004 03:32:44 -0300

ruli (0.28-2) unstable; urgency=low

  * Restrict -fPIC to shared lib.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Wed,  7 Jul 2004 00:31:27 -0300

ruli (0.28-1) unstable; urgency=low

  * New upstream release.
  * SONAME updated.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Sat, 26 Jun 2004 15:48:44 -0300

ruli (0.27-2) unstable; urgency=low

  * Removed -Werror from CFLAGS (again).

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Thu, 24 Jun 2004 02:31:42 -0300

ruli (0.27-1) unstable; urgency=low

  * New upstream release.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Thu, 24 Jun 2004 01:42:15 -0300

ruli (0.26-2) unstable; urgency=low

  * Removed -L/usr/lib from CFLAGS in sample/Makefile.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Sun, 20 Jun 2004 14:43:26 -0300

ruli (0.26-1) unstable; urgency=low

  * New upstream release.
  * libruli-bin, libruli2-dev changed from 'devel' to 'libdevel'.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Thu, 17 Jun 2004 23:57:13 -0300

ruli (0.25-3) unstable; urgency=low

  * Symbol versioning in shared library.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Tue, 15 Jun 2004 22:52:00 -0300

ruli (0.25-2) unstable; urgency=low

  * Removed /usr from compiler search path in sample/Makefile.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Sat, 12 Jun 2004 00:49:18 -0300

ruli (0.25-1) unstable; urgency=low

  * New upstream release.
  * Removed -Werror from CFLAGS.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Wed,  9 Jun 2004 19:54:01 -0300

ruli (0.24-1) unstable; urgency=low

  * New upstream release.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Sun,  6 Jun 2004 01:35:48 -0300

ruli (0.23-1) unstable; urgency=low

  * New upstream release.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Thu,  3 Jun 2004 16:41:37 -0300

ruli (0.22-1) unstable; urgency=low

  * New upstream release.
  * Updated SONAME.
  * -dev package now depends on libc-dev.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Mon, 31 May 2004 13:44:17 -0300

ruli (0.21-1) unstable; urgency=low

  * New upstream release.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Fri, 21 May 2004 17:01:42 -0300

ruli (0.20-3) unstable; urgency=low

  * Removed build essential packages from Build-Depends.
  * Initial upload (closes: #234303).

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Tue, 18 May 2004 09:59:59 -0300

ruli (0.20-2) unstable; urgency=low

  * Added 'make dpkg-clean' to top-level Makefile.
  * Removed too specific version numbers from Build-Depends.
  * Fixed include/library search path in 'sample/Makefile'.
  * Removed incorrect 'Conflicts' and 'Provides' for libruli-bin.
  * libruli1 now 'Provides:' libruli1 instead of libruli.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Mon, 17 May 2004 01:11:11 -0300

ruli (0.20-1) unstable; urgency=low

  * Added 'libruli-bin' binary package for sample programs.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Fri, 26 Mar 2004 21:13:41 -0300

ruli (0.19-1) unstable; urgency=low

  * New upstream release.



=== debian/control ===
Source: ruli
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 liboop-dev,
Standards-Version: 4.5.0
Homepage: https://www.nongnu.org/ruli/
Vcs-Git: https://salsa.debian.org/debian/ruli.git
Vcs-Browser: https://salsa.debian.org/debian/ruli

Package: libruli-bin
Section: libdevel
Architecture: any
Depends:
 libruli4t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for easily querying DNS SRV records - sample programs
 RULI stands for Resolver User Layer Interface. It's a library
 built on top of an asynchronous DNS stub resolver. RULI
 provides an easy-to-use interface for querying DNS SRV
 resource records. The goal is to promote the wide deployment
 of SRV-cognizant client programs. RULI aims to fully support
 SRV-related standards.
 .
 This package contains the RULI sample programs.

Package: libruli4t64
Provides: ${t64:Provides}
Replaces: libruli4
Breaks: libruli4 (<< ${source:Version})
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for easily querying DNS SRV records
 RULI stands for Resolver User Layer Interface. It's a library
 built on top of an asynchronous DNS stub resolver. RULI
 provides an easy-to-use interface for querying DNS SRV
 resource records. The goal is to promote the wide deployment
 of SRV-cognizant client programs. RULI aims to fully support
 SRV-related standards.

Package: libruli4-dev
Section: libdevel
Architecture: any
Depends:
 libc6-dev | libc-dev,
 liboop-dev,
 libruli4t64 (= ${binary:Version}),
 ${misc:Depends},
Provides:
 libruli-dev,
Conflicts:
 libruli-dev,
Description: Library for easily querying DNS SRV records - development files
 RULI stands for Resolver User Layer Interface. It's a library
 built on top of an asynchronous DNS stub resolver. RULI
 provides an easy-to-use interface for querying DNS SRV
 resource records. The goal is to promote the wide deployment
 of SRV-cognizant client programs. RULI aims to fully support
 SRV-related standards.
 .
 This package contains the RULI development libraries and
 header files, required to develop and/or compile
 applications that use RULI.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_EXPORT_BUILDTOOLS = 1
export DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

%:
	dh $@
